Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: marcMise à jour lensfun
#1
Bonjour

Mon système fonctionne correctement et est à jour (Arch Linux, DT 2.2.5, lensfun 3.2 et exiv2 0.26).

Par contre je remarque que certains fichiers xml lensfun sont relativement anciens alors qu'il existe des versions plus récentes sur le site lensfun. Voici le lien ou je trouve les fichiers xml : https://sourceforge.net/p/lensfun/code/c...e/data/db/
[url=https://sourceforge.net/p/lensfun/code/ci/master/tree/data/db/][/url]
Je dois donc régulièrement récupérer les fichiers récents xml qui m’intéressent et les copier manuellement dans usr/share/lensfun. De plus dans ce répertoire on trouve maintenant des sous répertoires versions 1, 2 et 3.
La seule solution que j'ai trouvé et qui fonctionne est de les copier dans le répertoire version1 puis d'éditer les fichiers xml et de modifier le 2ème ligne du fichier en remplaçant version 2 par version 1.
Cette solution "manuelle" fonctionne bien mais j'aimerai comprendre à quoi correspondent ces 3 versions et savoir si l'on peut automatiser les mises à jour.
Répondre
#2
Bonjour,

La dernière version de lensfun est, si je ne me trompe pas, la 0.3.2 et, pour le moment le ppa de jmdebuijn ne sert que la 0.2.8-3. Je dirais donc que pour tenir à jour la 0.3, il faut bien aller la chercher régulièrement sur la forge où il est livré, ou existe-t-il un autre système pour Arch Linux ?

Le change log de lensfun pour la 0.3.2 indique :


Citation :
  • Support for parallel installation of different database versions

Serait-ce pourquoi on trouve à partir de cette version des sous-répertoires pour les versions 1 à 3 ?... Ça pourrait être cohérent.
Ubuntu 18.04 + dt 2.6 & Pentax K5 & K3-II + cailloux Pentax et Sigma

Répondre
#3
(30-07-17, 17:04)manu a écrit : Bonjour,

La dernière version de lensfun est, si je ne me trompe pas, la 0.3.2 et, pour le moment le ppa de jmdebuijn ne sert que la 0.2.8-3. Je dirais donc que pour tenir à jour la 0.3, il faut bien aller la chercher régulièrement sur la forge où il est livré, ou existe-t-il un autre système pour Arch Linux ?
Sous arch linux, Lensfun est directement disponible en version 0.3.2. Par contre la BdD de la version 0.3.2 n'est pas complètement à jour. La plupart des fichiers xml datent de fin 2015 (ici) . La branche master dispose de fichiers beaucoup plus récents, certains datant de 4 jours ici
Répondre
#4
(30-07-17, 17:26)marc a écrit :
(30-07-17, 17:04)manu a écrit : Bonjour,

La dernière version de lensfun est, si je ne me trompe pas, la 0.3.2 et, pour le moment le ppa de jmdebuijn ne sert que la 0.2.8-3. Je dirais donc que pour tenir à jour la 0.3, il faut bien aller la chercher régulièrement sur la forge où il est livré, ou existe-t-il un autre système pour Arch Linux ?
Sous arch linux, Lensfun est directement disponible en version 0.3.2. Par contre la BdD de la version 0.3.2 n'est pas complètement à jour. La plupart des fichiers xml datent de fin 2015 (ici) . La branche master dispose de fichiers beaucoup plus récents, certains datant de 4 jours ici

Bonjour,
pour mettre à jour la BdD sous Archlinux ou dérivés ,
je fait un sudo /usr/bin/g-lensfun-update-data
Répondre
#5
(30-07-17, 20:27)ctouze a écrit :
(30-07-17, 17:26)marc a écrit :
(30-07-17, 17:04)manu a écrit : Bonjour,

La dernière version de lensfun est, si je ne me trompe pas, la 0.3.2 et, pour le moment le ppa de jmdebuijn ne sert que la 0.2.8-3. Je dirais donc que pour tenir à jour la 0.3, il faut bien aller la chercher régulièrement sur la forge où il est livré, ou existe-t-il un autre système pour Arch Linux ?
Sous arch linux, Lensfun est directement disponible en version 0.3.2. Par contre la BdD de la version 0.3.2 n'est pas complètement à jour. La plupart des fichiers xml datent de fin 2015 (ici) . La branche master dispose de fichiers beaucoup plus récents, certains datant de 4 jours ici

Bonjour,
pour mettre à jour la BdD sous Archlinux ou dérivés ,
je fait un sudo /usr/bin/g-lensfun-update-data

Merci, ça a l'air de fonctionner Smile

sudo /usr/bin/g-lensfun-update-data
[sudo] Mot de passe de marc :
Reading http://lensfun.sourceforge.net/db/versions.json
Reading http://wilson.bronger.org/lensfun-db/versions.json
Successfully updated the database in /var/lib/lensfun-updates/version_1.
Successfully updated the database in /var/lib/lensfun-updates/version_2.

Rien pour la version 3??
Répondre
#6
A priori, darktable ne gère pas la version 0.3 pour l'instant. Ce sera peut être le cas avec la 2.4. C'est très attendu car cette version (0.3), permettra d'utiliser les fichiers de définition d'objectifs au format LR
Mes photos : jpverrue.fr
Répondre
#7
(31-07-17, 15:23)jpverrue a écrit : A priori, darktable ne gère pas la version 0.3 pour l'instant. Ce sera peut être le cas avec la 2.4. C'est très attendu car cette version (0.3), permettra d'utiliser les fichiers de définition d'objectifs au format LR

Cool, merci Jean Pierre
Répondre
#8
(30-07-17, 20:27)ctouze a écrit : pour mettre à jour la BdD sous Archlinux ou dérivés ,
je fait un sudo /usr/bin/g-lensfun-update-data

Intéressant ça, merci !

Avec la version "curse" (non GUI) lensfun-update-data, on pourra mettre en crontab la mise à jour de la base de cailloux, par exemple au démarrage de la machine (@reboot) ou régulièrement comme chaque semaine.
Ubuntu 18.04 + dt 2.6 & Pentax K5 & K3-II + cailloux Pentax et Sigma

Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)